import { SvelteComponent } from "svelte";
import type { AddOption, OptionItem, Select } from '../../components/select/select.js';
declare const __propDef: {
    props: {
        select: Select;
        showSearch?: boolean | undefined;
        inputPlaceholder?: string | undefined;
    };
    events: {
        select: CustomEvent<OptionItem>;
        add: CustomEvent<AddOption>;
        open: CustomEvent<void>;
        close: CustomEvent<void>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SvelectProps = typeof __propDef.props;
export type SvelectEvents = typeof __propDef.events;
export type SvelectSlots = typeof __propDef.slots;
export default class Svelect extends SvelteComponent<SvelectProps, SvelectEvents, SvelectSlots> {
}
export {};
